/*  stat.h                                                                      
                                                                                
    Definitions used for file status functions                                  
                                                                                
    Copyright (c) 1987, 1992 by Borland International                           
    All Rights Reserved.                                                        
*/                                                                              
                                                                                
#ifndef __STAT_H                                                                
#define __STAT_H                                                                
#include <stdio.h>                                                              
#define S_IFMT  0xF000  /* file type mask */                                    
#define S_IFDIR 0x4000  /* directory */                                         
#define S_IFIFO 0x1000  /* FIFO special */                                      
#define S_IFCHR 0x2000  /* character special */                                 
#define S_IFBLK 0x3000  /* block special */                                     
#define S_IFREG 0x8000  /* or just 0x0000, regular */                           
#define S_IREAD 0x0100  /* owner may read */                                    
#define S_IWRITE 0x0080 /* owner may write */                                   
#define S_IEXEC 0x0040  /* owner may execute <directory search> */              
                                                                                
struct  stat                                                                    
{                                                                               
    short st_dev;      /* Drive number of disk containing the  */               
                       /* file or file handle if the file is   */               
                       /* on device                            */               
    short st_ino;      /* Not meanfuld for VM/CMS              */               
    short st_mode;     /* Bit mask giving information about    */               
                       /* the file's mode                      */               
    short st_nlink;    /* Set to the integer constant 1        */               
    int   st_uid;      /* Not meanfuld for VM/CMS              */               
    int   st_gid;      /* Not meanfuld for VM/CMS              */               
    short st_rdev;     /* Same as st_dev                       */               
    long  st_size;     /* Size of the file in bytes            */               
    long  st_atime;    /* Most recent access                   */               
    long  st_mtime;    /* Same as st_atime                     */               
    long  st_ctime;    /* Same as st_atime                     */               
};                                                                              
                                                                                
#ifdef __cplusplus                                                              
extern "C" {                                                                    
#endif                                                                          
int  fstat(FILE *handle, struct stat *__statbuf);                               
int  stat(const char *__path, struct stat *__statbuf);                          
                                                                                
struct  _stat                                                                   
{                                                                               
    short st_dev;                                                               
    short st_ino;                                                               
    short st_mode;                                                              
    short st_nlink;                                                             
    int   st_uid;                                                               
    int   st_gid;                                                               
    short st_rdev;                                                              
    long  st_size;                                                              
    long  st_atime;                                                             
    long  st_mtime;                                                             
    long  st_ctime;                                                             
};                                                                              
                                                                                
#ifdef __cplusplus                                                              
}                                                                               
#endif                                                                          
                                                                                
#endif  /* __STAT_H */                                                          
